%define	version	0.7.1
%define release 2mdk
%define gname screem
%define name %{gname}%{version}
%define iconname %{gname}.png  
%define Summary Web Site CReating and Editing EnvironMent
 

Summary: %{Summary}
Name:	%{name}
Version:%{version}
Release:%{release}
License:GPL
Group:	Networking/WWW
Source:	%{gname}-%{version}.tar.bz2
Url:	http://www.screem.org  
Packager: Charles A Edwards <eslrahc@bellsouth.net>
BuildRoot:%{_tmppath}/%{name}-buildroot
BuildRequires: libgnomeui2-devel >= 2.2.0
BuildRequires: libglade2.0-devel >= 2.0.0  
BuildRequires: libgtkhtml2-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: libneon-devel >= 0.23.5
BuildRequires: libgtksourceview-devel >= 0.2.0
BuildRequires: ImageMagick
BuildRequires: scrollkeeper
Requires: gnome-libs >= 1.2.0 libglade2.0 >= 2.0.0  gdk-pixbuf >= 0.22.0
Requires:  libORBit2_0 >= 0.2.0 
Conflicts: screem < %{version}   
Provides: screem = %{version}-%{release}
Obsoletes: hackscreem = %{version} 
Provides: hackscreem = %{version} 

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages.
This is a development release of Screem.

%prep
%setup -q -n %{gname}-%{version} 
#bzcat %SOURCE1 > screem.lang

%build
%configure2_5x --with-aspell --with-ssl --with-neon

## parellel build will not work
make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall_std  
 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert screem.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert screem.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert screem.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

# menu
(cd $RPM_BUILD_ROOT
cat > $RPM_BUILD_ROOT%{_menudir}/screem0.7.1 <<EOF 
?package(screem0.7.1): \
    command="screem" \
    icon="%{iconname}" \ 
    title="Screem" \
    longtitle="%{Summary}" \
    needs="X11" \
    section="Networking/WWW"
EOF
)

%find_lang %{gname} 

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{gname}/C/%{gname}.xml 

%clean
rm -rf $RPM_BUILD_ROOT
 
%post
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/%{gname}/C/%{gname}.xml > /dev/null || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null 
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q|| true ; fi
/sbin/ldconfig 


%files   -f %{gname}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO BUGS 
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/%gname.schemas
%{_libdir}/screem/ 
%{_datadir}/screem/ 
%{_datadir}/application-registry/screem.applications
%{_datadir}/gnome/help/%{gname} 
%{_datadir}/omf/screem/
%{_datadir}/pixmaps/* 
%{_datadir}/mime-info/screem.mime
%{_datadir}/applications/screem.desktop 
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 


%changelog
* Fri Sep 26 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7.1-2mdk
- fix conflict
- fix BuildRequires for lib64 platforms

* Sun Aug 03 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7.1-1mdk
- devlopment release of Screem
- initially uploaded by me as hackscreem which was improper naming
  
  

 